from wtforms import Form,StringField,IntegerField,FileField
from wtforms.validators import Length,NumberRange,Required,Regexp,URL,Email,EqualTo,ValidationError
from flask import session
from flask_wtf.file import FileRequired,FileAllowed

class MyForm(Form):
    uname = StringField(validators=[Length(min = 6,max = 12,message= "用户名输入不合法"),Required(message= "用户名必须填写")])
    pwd = StringField(validators=[Length(min = 6,max = 12)])
    pwd2 = StringField(validators=[Length(min = 6,max  = 12),EqualTo("pwd")])
    email = StringField(validators=[Email()])
    age = IntegerField(validators=[NumberRange(min = 18,max =60 )])
    phone = StringField(validators=[Regexp(r"1[3-9]\d{9}")])
    url = StringField(validators=[URL()])
    code = StringField(validators=[Length(min = 4,max = 4)])
    files  = FileField(validators=[FileRequired(message="文件不能为空"),FileAllowed(["jpg","png"],message= "文件格式不正确")])

    def validate_code(self,field):
        print(int(field.data),session.get("code"))

        if int(field.data) != session.get("code"):
            raise  ValidationError(message= "验证码信息有误")


